Bug 1762006 - Gracefully handle the disabled default opsrc during the upgrade
Summary: Gracefully handle the disabled default opsrc during the upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.z
Assignee: Bowen Song
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-15 20:08 UTC by Kevin Rizza
Modified: 2020-02-20 20:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1757099
Environment:
Last Closed: 2019-11-19 13:49:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 263 'None' closed Bug 1762006: Assume available status is true without defaults 2020-02-20 20:10:22 UTC
Red Hat Product Errata RHBA-2019:3869 None None None 2019-11-19 13:49:14 UTC

Comment 2 Fan Jia 2019-11-12 07:40:27 UTC
test env:
upgrade from 4.2.0-0.nightly-2019-11-11-110741 to 4.2.0-0.nightly-2019-11-11-233305

test result:
1.disable all the default opsrcs 
2.upgrade cluster 
3.update the cluster success.

Comment 4 errata-xmlrpc 2019-11-19 13:49:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3869


Note You need to log in before you can comment on or make changes to this bug.